---
version: '2.1'

networks:
  traefik_network:
    external:
      name: homelabos_traefik

volumes:
    broker:
        driver: local
    app:
        driver: local
    db:
        driver: local
    results:
        driver: local

services:
  broker:
    image: healthcheck/rabbitmq
    networks:
      - traefik_network    
    environment:
      RABBITMQ_DEFAULT_USER: mayan
      RABBITMQ_DEFAULT_PASS: mayan
      RABBITMQ_DEFAULT_VHOST: mayan
      MAYAN_USER_UID: {{uid_output.stdout}}
      MAYAN_USER_GUID: {{gid_output.stdout}}
    volumes:
      - /var/homelabos/mayan/broker:/var/lib/rabbitmq
  results:
    networks:
      - traefik_network    
    image: healthcheck/redis
    volumes:
      - /var/homelabos/mayan/results:/data
  db:
    image: healthcheck/postgres
    networks:
      - traefik_network
    environment:
      POSTGRES_DB: mayan
      POSTGRES_PASSWORD: "{{lookup('password', './settings/passwords/mayan_db_password chars=digits')}}"
      POSTGRES_USER: mayan
      MAYAN_USER_UID: {{uid_output.stdout}}
      MAYAN_USER_GUID: {{gid_output.stdout}}
    volumes:
      - /var/homelabos/mayan/db:/var/lib/postgresql/data
  mayan-edms:
    networks:
      - traefik_network
    image: mayanedms/mayanedms:latest
    depends_on:
      broker:
        condition: service_healthy
      db:
        condition: service_healthy
      results:
        condition: service_healthy
    ports:
      ["8000:8000"]
    environment:
      MAYAN_BROKER_URL: amqp://mayan:mayan@broker:5672/mayan
      MAYAN_CELERY_RESULT_BACKEND: redis://results:6379/0
      MAYAN_DATABASE_ENGINE: django.db.backends.postgresql
      MAYAN_DATABASE_HOST: db
      MAYAN_DATABASE_NAME: mayan
      MAYAN_DATABASE_PASSWORD: "{{lookup('password', './settings/passwords/mayan_db_password chars=digits')}}"
      MAYAN_DATABASE_USER: mayan
      MAYAN_USER_UID: {{uid_output.stdout}}
      MAYAN_USER_GUID: {{gid_output.stdout}}
      # version 3.2.7 and forward use this version
      MAYAN_USER_GID: {{gid_output.stdout}}
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=homelabos_traefik"
      - "traefik.http.frontend.rule=Host:mayan.{{ domain }}"
      - "traefik.http.protocol=http"
      - "traefik.http.port=8000"
      - "traefik.http.frontend.headers.customFrameOptionsValue=ALLOW-FROM http://{{ domain }}"
      - "traefik.http.frontend.headers.customFrameOptionsValue=ALLOW-FROM https://{{ domain }}"
{% if enable_tor %}
      - "traefik.tor.frontend.rule=Host:mayan.{{ tor_domain }}"
      - "traefik.tor.protocol=http"
      - "traefik.tor.port=8000"
{% endif %}
    volumes:
      - /var/homelabos/mayan/app:/var/lib/mayan
      - {{ storage_dir }}/Documents/consume:/watched_files
      - {{ storage_dir }}/Documents/mayan_storage:/var/lib/mayan/document_storage